summaryrefslogtreecommitdiffstats
path: root/source/a/utempter/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/utempter/doinst.sh')
-rw-r--r--source/a/utempter/doinst.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/source/a/utempter/doinst.sh b/source/a/utempter/doinst.sh
new file mode 100644
index 000000000..94c6231df
--- /dev/null
+++ b/source/a/utempter/doinst.sh
@@ -0,0 +1,10 @@
+if ! grep "^utmp:" etc/group 1> /dev/null 2> /dev/null ; then
+ if ! grep ":22:" etc/group 1> /dev/null 2> /dev/null ; then
+ # we'll be adding this in the etc package anyway.
+ echo "utmp::22:" >> etc/group
+ # This should be able to handle itself...
+ #chown root:utmp usr/sbin/utempter
+ fi
+fi
+chown root:utmp var/run/utmp var/log/wtmp
+chmod 664 var/run/utmp var/log/wtmp